Name:           xdg-desktop-portal-xapp
Version:        1.1.1
Release:        %mkrel 1
Summary:        Backend implementation for xdg-desktop-portal using Xapp
Group:          System/Servers
License:        LGPL-2.1-or-later
URL:            https://github.com/linuxmint/xdg-desktop-portal-xapp
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  meson
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(xdg-desktop-portal) >= 1.7.1
BuildRequires:  systemd

Requires:       dbus-x11
Requires:       dbus
Requires:       xapps >= 2.5.0
Requires:       xdg-desktop-portal >= 1.7.1
Requires:       xdg-desktop-portal-gtk
Supplements:    cinnamon

%description
Xapp's Cinnamon, MATE and XFCE backends for xdg-desktop-portal.
This allows sandboxed applications to request services and information from
outside the sandbox in the MATE, XFCE and Cinnamon environments.

%prep
%autosetup -p1

%build
%meson -Dsystemduserunitdir=%{_userunitdir}
%meson_build

%install
%meson_install

%post
%systemd_user_post %{name}.service

%preun
%systemd_user_preun %{name}.service

%files
%license COPYING
%doc README.md
%{_libexecdir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/dbus-1/services/org.freedesktop.impl.portal.desktop.xapp.service
%{_datadir}/xdg-desktop-portal/portals/xapp.portal
%{_datadir}/xdg-desktop-portal/portals/xapp-gnome-keyring.portal
%{_userunitdir}/xdg-desktop-portal-xapp.service


%changelog
* Thu May 29 2025 daviddavid <daviddavid> 1.1.1-1.mga10
+ Revision: 2186890
- new version: 1.1.1

* Tue Nov 26 2024 daviddavid <daviddavid> 1.1.0-1.mga10
+ Revision: 2119154
- new version: 1.1.0

* Sat Aug 17 2024 wally <wally> 1.0.9-2.mga10
+ Revision: 2086811
- fix post and preun scriptlets to handle systemd user services

* Sat Aug 17 2024 daviddavid <daviddavid> 1.0.9-1.mga10
+ Revision: 2086799
- new version: 1.0.9

* Tue Jul 23 2024 daviddavid <daviddavid> 1.0.8-1.mga10
+ Revision: 2082330
- new version: 1.0.8

* Sun Jun 23 2024 daviddavid <daviddavid> 1.0.7-1.mga10
+ Revision: 2076295
- new version: 1.0.7

* Sun Jun 16 2024 daviddavid <daviddavid> 1.0.6-1.mga10
+ Revision: 2074461
- new version: 1.0.6

* Wed Jun 05 2024 daviddavid <daviddavid> 1.0.5-1.mga10
+ Revision: 2070117
- new version: 1.0.5

* Mon Dec 04 2023 daviddavid <daviddavid> 1.0.4-1.mga10
+ Revision: 2013094
- new version: 1.0.4

* Wed Aug 30 2023 daviddavid <daviddavid> 1.0.3-1.mga10
+ Revision: 1981674
- new version: 1.0.3

* Mon Aug 28 2023 daviddavid <daviddavid> 1.0.2-1.mga10
+ Revision: 1980483
- new version: 1.0.2

* Sat Jun 17 2023 daviddavid <daviddavid> 1.0.1-1.mga9
+ Revision: 1962303
- initial package xdg-desktop-portal-xapp

